package com.qmth.distributed.print.business.bean.params;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.annotation.DBVerify;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.NotNull;

/**
 * @Description: 教学班级编辑参数
 * @Author: CaoZixuan
 * @Date: 2022-02-11
 */
public class TeachClazzParams {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "班级id（修改时必填）")
    @DBVerify(value = "班级id")
    private Long id;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "教学课程主键")
    @NotNull(message = "请选择教学课程")
    @Range(min = 1L, message = "请选择教学课程")
    @DBVerify(value = "教学课程id",required = true)
    private Long teachCourseId;

    @ApiModelProperty(value = "教学班级名称")
    @NotNull(message = "请输入教学班级名称")
    @Length(min = 1,message = "请输入教学班级名称")
    @DBVerify(value = "教学班级名称",required = true)
    private String teachClazzName;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getTeachCourseId() {
        return teachCourseId;
    }

    public void setTeachCourseId(Long teachCourseId) {
        this.teachCourseId = teachCourseId;
    }

    public String getTeachClazzName() {
        return teachClazzName;
    }

    public void setTeachClazzName(String teachClazzName) {
        this.teachClazzName = teachClazzName;
    }
}
